<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

$nocache = rand(0, 999999999);
////////////////////////////////////
$ttl="Посольства";
$nikita="c00000";
$jenya="002060";
$admin="606060";
$moder="a04040";
$bot="a04040";
//////////////////////////////
switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_affected_rows() == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Ошибка\" ontimer=\"index.php?ver=wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

//USER DATA
$user = mysql_fetch_array($q);
$level = $user['level'];
$status = $user['status'];
$posts = $user['posts'];
$fsize = $user['fsize'];
;
//END USER DATA

if($fsize == 0)
{
$open_tag = "<small>";
$close_tag = "</small>";
}
if($fsize == 1)
{
$open_tag = "";
$close_tag = "";
}
if($fsize == 2)
{
$open_tag = "<big>";
$close_tag = "</big>";
}

/*
//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE
*/

//ONLINE IN CHAT
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `time` > ".time().";");
$online = mysql_result($query, 0);
//END ONLINE

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl - $online\"><p align=\"left\">\n";
echo"<br/>";
echo $open_tag;

$q = mysql_query("SELECT * FROM `chat_rooms` WHERE `type` = 2 ORDER BY `position` ASC, `id` DESC;");

//EMBASSIES
while($room = mysql_fetch_array($q))
{
$c = 0;
$rid = $room['id'];
$rname = $room['name'];
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `place` = ".$rid." AND `time` > ".time().";");
$inroom = mysql_result($query, 0);

echo "<b><a href=\"/room/$rid/wml\">".$rname." (".$inroom.")</a></b><br/>\n";

$sql = mysql_query("SELECT `nickname`, `level`, `id`, `invisible` FROM `chat_users` WHERE `time` > '".time()."' AND `place` = ".$rid.";");
	while($nick = mysql_fetch_array($sql))
	{
	if($level == 0 && $nick['invisible'] == 1) echo " ";
	else

if($nick['id'] == 1)
{
$nick['nickname'] = "<b>".$nick['nickname']." (X)</b>";
}

if($nick['level'] == 4 and $nick['id'] != 6 and $nick['id'] != 1)
{
$nick['nickname'] = "<b>".$nick['nickname']." (А)</b>";
}
if($nick['level'] == 3)
{
$nick['nickname'] = "<b>".$nick['nickname']." (М)</b>";
}
if($nick['level'] == 2)
{
$nick['nickname'] = "<b>".$nick['nickname']." (К)</b>";
}
if($nick['level'] == 1)
{
$nick['nickname'] = "<b>".$nick['nickname']." (V)</b>";
}

	echo $nick['nickname'];
	if($level == 4 && $nick['invisible'] == 1) echo " (невидимый)";
	$c++;
		if($c != $inroom)
		{
		echo ", ";
		}
		else
		{
		echo "<br/>\n";
		}
	}
}
//END EMBASSIES

if(mysql_num_rows($q) == 0)
{
echo "Посольств нет...<br/>\n";
}


echo "<br/>• <a href=\"/menu/wml\">В прихожую</a><br/>\n";

echo $close_tag;

echo "<br/>$wmlfoot";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
	if(mysql_num_rows($q) == 0)
	{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
	exit();
	}
//END AUTH

//USER DATA
$user = mysql_fetch_array($q);
$level = $user['level'];
$status = $user['status'];
$posts = $user['posts'];
$fsize = $user['fsize'];
//END USER DATA

if($fsize == 0)
{
$fsize = "small";
}
if($fsize == 1)
{
$fsize = "normal";
}
if($fsize == 2)
{
$fsize = "large";
}

/*
//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE
*/

//ONLINE IN CHAT
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `time` > ".time().";");
$online = mysql_result($query, 0);
//END ONLINE

echo "$css";
echo'<title>'.$ttl.' - '.$online.'</title>';

echo'<div class="d3">'.$ttl.' - '.$online.'</div>';

//EMBASSIES
$q = mysql_query("SELECT * FROM `chat_rooms` WHERE `type` = 2 ORDER BY `position` ASC, `id` DESC;");

while($room = mysql_fetch_array($q))
{
$c = 0;
$rid = $room['id'];
$rname = $room['name'];
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `place` = ".$rid." AND `time` > ".time().";");
$inroom = mysql_result($query, 0);

echo "<b><a href=\"/room/$rid/html\">".$rname." (".$inroom.")</a></b><br/>\n";

$sql = mysql_query("SELECT `nickname`, `invisible`, `posts`, `id`, `level` FROM `chat_users` WHERE `time` > '".time()."' AND `place` = ".$rid.";");
	while($nick = mysql_fetch_array($sql))
	{
	if($level == 0 && $nick['invisible'] == 1) echo " ";
	else
		if($nick['id'] == 2 and $nick['id'] == 3 and $nick['id'] == 4 )
{
$nick['nickname'] = "<font color=$bot><b>".$nick['nickname']."</font></b>";
}
if($nick['posts'] > 20000 and $nick['level'] == 0)
{
$nick['nickname'] = "".$nick['nickname']."";
}

if($nick['id'] == 1)
{
$nick['nickname'] = "".$nick['nickname']." (X)";
}

if($nick['level'] == 4 and $nick['id'] != 6 and $nick['id'] != 1)
{
$nick['nickname'] = "".$nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = "".$nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = "".$nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = "".$nick['nickname']." (V)";
}
	echo
	$nick['nickname'];
	if($level == 4 && $nick['invisible'] == 1) echo " (невидимый)";
	$c++;
		if($c != $inroom)
		{
		echo ", ";
		}
		else
		{
		echo "<br/>\n";
		}
	}
}
//END EMBASSIES

if(mysql_num_rows($q) == 0)
{
echo "[Пусто]<br/>\n";
}
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a></div>\n";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
break;
}
?>